%global momorel 6

Summary:	Net-SNMP module for perl
Name:		perl-Net-SNMP
Version:	6.0.0
Release:	%{momorel}m%{?dist}
License:	GPL or Artistic
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/D/DT/DTOWN/Net-SNMP-v%{version}.tar.gz 
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 5.8.5
BuildRequires:	perl-Crypt-DES >= 2.03-6m
BuildRequires:	perl-Digest-SHA1 >= 2.06-2m
BuildRequires:	perl-Digest-HMAC >= 1.01-12m
BuildArch:	noarch

%description
Net-SNMP module for perl

%prep
%setup -q -n Net-SNMP-v%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}%{_prefix} -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod | 
	sed -e 's,\(.*/man/.*\),\1*,' | 
	grep -v "\.packlist" > Net-SNMP-%{version}-filelist
if [ "$(cat Net-SNMP-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi
chmod -R -x examples/*

rm -f %{buildroot}%{perl_vendorarch}/auto/Net/SNMP/.packlist

%files -f Net-SNMP-%{version}-filelist
%defattr(-,root,root,755)
%doc Changes README examples 

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (6.0.0-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-4m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.0.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (6.0.0-1m)
- update to 6.0.0

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.2.0-7m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.2.0-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.2.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (5.2.0-4m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (5.2.0-3m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.2.0-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (5.2.0-1m)
- update to 5.2.0

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.0.1-1m)
- version up to 5.0.1
- built against perl-5.8.7

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.1.2-5m)
- revised docdir permission

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.1.2-4m)
- rebuild against perl-5.8.5
- rebuild against perl-Crypt-DES 2.03-9m
- rebuild against perl-Digest-SHA1 2.06-3m
- rebuild against perl-Digest-HMAC 1.01-12m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.1.2-3m)
- remove Epoch from BuildRequires

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (4.1.2-2m)
- revised spec for rpm 4.2.

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.2-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-6m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-5m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (4.0.3-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Wed Dec  4 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.0.3-3m)
- add BuildRequires: perl-Digest-HMAC

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-2m)
- rebuild against perl-5.8.0

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-1m)

* Mon Aug  5 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.2-3m)
- revise URL

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.0.2-2m)
- fix install directory of man(reported by Kyoichi Ozaki <k@afromania.org> [Momonga-devel.ja:00282])

* Wed Jul 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.2-1m)
- spec file was semi-autogenerated. 
